
// Importovanie všetkých tried z balíčka knižnica.
import knižnica.*;

// Začiatok definície triedy odvodenej
// od nadradenej triedy GRobot.
public class Strela extends GRobot
{
	// Konštruktor.
	public Strela()
	{
		zdvihniPero();
		hrúbkaČiary(1.5);
		ohranič();
		veľkosť(20);
		rýchlosť(veľkosť());
	}

	// Vlastné kreslenie tvaru.
	@Override public void kresliTvar()
	{
		dopredu();
	}

	// Reakcia na aktiváciu.
	@Override public void aktivácia()
	{
		zobraz();
	}

	// Reakcia na deaktiváciu.
	@Override public void deaktivácia()
	{
		skry();
	}

	// Reakcia na opustenie hraníc robota (určené ohraničením).
	@Override public boolean mimoHraníc(Bod[] poleBodov, double uhol)
	{
		deaktivuj();
		return true;
	}
}
